ros-humble-tf2 (0.25.16-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 24 Jul 2025 22:00:00 -0000

ros-humble-tf2 (0.25.15-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 15 Jul 2025 22:00:00 -0000

ros-humble-tf2 (0.25.14-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 13 May 2025 22:00:00 -0000

ros-humble-tf2 (0.25.13-1jammy) jammy; urgency=high

  * Overflow Issue in durationFromSec() Function when Handling Extremely Large or Small Values (#785 <https://github.com/ros2/geometry2/issues/785>) (#787 <https://github.com/ros2/geometry2/issues/787>)
  * Backport: Do not clobber callback handles when cancelling pending transformable requests (#781 <https://github.com/ros2/geometry2/issues/781>)
  * Contributors: Timo Röhling, mergify[bot]

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 13 May 2025 22:00:00 -0000

ros-humble-tf2 (0.25.12-1jammy) jammy; urgency=high

  * Fixing Scalar Header Guards (#755 <https://github.com/ros2/geometry2/issues/755>)
  * Contributors: Lucas Wendland

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 16 Jan 2025 23:00:00 -0000

ros-humble-tf2 (0.25.11-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 13 Jan 2025 23:00:00 -0000

ros-humble-tf2 (0.25.10-1jammy) jammy; urgency=high

  * Humble "Backport" of #720 <https://github.com/ros2/geometry2/issues/720> (#722 <https://github.com/ros2/geometry2/issues/722>)
  * Removed unused var in tf2 (#735 <https://github.com/ros2/geometry2/issues/735>) (#737 <https://github.com/ros2/geometry2/issues/737>)
    (cherry picked from commit e791b58f8826a31d8ea11f45b7bf3026f26eab8a)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Contributors: Lucas Wendland, mergify[bot]

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 18 Dec 2024 23:00:00 -0000

ros-humble-tf2 (0.25.9-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 19 Nov 2024 23:00:00 -0000

ros-humble-tf2 (0.25.8-1jammy) jammy; urgency=high

  * Enable Twist interpolator (backport #646 <https://github.com/ros2/geometry2/issues/646>) (#684 <https://github.com/ros2/geometry2/issues/684>)
    * Enable Twist interpolator (#646 <https://github.com/ros2/geometry2/issues/646>)
    Co-authored-by: Tully Foote <mailto:tullyfoote@intrinsic.ai>
    (cherry picked from commit 62322b8fa74c90d144dfe32294f6670bf6cfe786)
    # Conflicts:
    #     tf2/include/tf2/buffer_core.h
    #     tf2_ros/test/test_buffer.cpp
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Contributors: mergify[bot]

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 28 Aug 2024 22:00:00 -0000

ros-humble-tf2 (0.25.7-1jammy) jammy; urgency=high

  * [TimeCache] Improve performance for insertData() and pruneList() (backport #680 <https://github.com/ros2/geometry2/issues/680>) (#693 <https://github.com/ros2/geometry2/issues/693>)
    * Nacho/minor fixes tf2 cache (#658 <https://github.com/ros2/geometry2/issues/658>)
    * Remove unused parameter
    * Make use of API function to improve redability
    ```cpp
    TimePoint TimeCache::getLatestTimestamp()
    {
    return storage\_.front().stamp\_;
    }
    ```
    And std::list<T>::front() is(gcclib):
    ```cpp
    reference
    front() _GLIBCXX_NOEXCEPT
    { return *begin(); }
    ```
    * Same argument as 321bd225afb5c
    ```cpp
    TimePoint TimeCache::getLatestTimestamp()
    {
    // empty list case
    // ...
    return storage\_.front().stamp\_;
    }
    ```
    and std::list<T>::front():
    ```cpp
    reference
    front() _GLIBCXX_NOEXCEPT
    { return *begin(); }
    ```
    * Improve readbility by relying on STL functions
    By now reading to this block I can tell that we are preventing to
    inserting a new element in the list, that has a timestamp that is
    actually older than the max_storage_time_ we allow for
    * Remove hardcoded algorithmg for STL one
    The intent of the code is now more clear, instead of relying on raw
    loops, we "find if" there is any element in the list that has a stamp
    older than the incoming one. With this we find the position in the list
    where we should insert the current timestamp: storage_it
    * Remove to better express what this pointer is represetngin
    * Replace raw loop for STL algorithm
    Remove if any element is older thant the max_storage_time_ allowed,
    relative to the latest(sooner) time seems clear npw
    * [TimeCache] Improve performance for insertData() and pruneList() (#680 <https://github.com/ros2/geometry2/issues/680>)
    Co-authored-by: Chris Lalancette <mailto:clalancette@gmail.com>
    * Don't break ABI
    ---------
    Co-authored-by: Ignacio Vizzo <mailto:ignacio@dexory.com>
    Co-authored-by: Eric Cousineau <mailto:eric.cousineau@tri.global>
    Co-authored-by: Chris Lalancette <mailto:clalancette@gmail.com>
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Add cache_benchmark (backport #679 <https://github.com/ros2/geometry2/issues/679>) (#691 <https://github.com/ros2/geometry2/issues/691>)
    Co-authored-by: Eric Cousineau <mailto:eric.cousineau@tri.global>
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * [cache_unittest] Add direct implementation testing on ordering, pruning (backport #678 <https://github.com/ros2/geometry2/issues/678>) (#688 <https://github.com/ros2/geometry2/issues/688>)
    Co-authored-by: Eric Cousineau <mailto:eric.cousineau@tri.global>
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Contributors: mergify[bot]

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 28 May 2024 22:00:00 -0000

ros-humble-tf2 (0.25.6-1jammy) jammy; urgency=high

  * Fix constantly increasing memory in std::list (#648 <https://github.com/ros2/geometry2/issues/648>)
  * Contributors: Ignacio Vizzo

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 15 Feb 2024 23:00:00 -0000

ros-humble-tf2 (0.25.5-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 12 Nov 2023 23:00:00 -0000

ros-humble-tf2 (0.25.4-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 18 Sep 2023 22:00:00 -0000

ros-humble-tf2 (0.25.3-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 16 Jul 2023 22:00:00 -0000

ros-humble-tf2 (0.25.2-1jammy) jammy; urgency=high

  * Include required header Scalar.h (#559 <https://github.com/ros2/geometry2/issues/559>) (#562 <https://github.com/ros2/geometry2/issues/562>)
  * Contributors: mergify[bot]

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 09 Jan 2023 23:00:00 -0000

ros-humble-tf2 (0.25.1-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 04 Aug 2022 22:00:00 -0000

ros-humble-tf2 (0.25.0-1jammy) jammy; urgency=high

  * Install includes to include/${PROJECT_NAME} and use modern CMake (#493 <https://github.com/ros2/geometry2/issues/493>)
  * Contributors: Shane Loretz

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 04 Apr 2022 22:00:00 -0000

ros-humble-tf2 (0.24.0-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 30 Mar 2022 22:00:00 -0000

ros-humble-tf2 (0.23.0-1jammy) jammy; urgency=high

  * forward declare fromMsg to avoid missing symbols in downstream libraries (#485 <https://github.com/ros2/geometry2/issues/485>)
  * Contributors: João C. Monteiro

 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 27 Mar 2022 22:00:00 -0000

ros-humble-tf2 (0.22.0-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 28 Feb 2022 23:00:00 -0000

ros-humble-tf2 (0.21.0-1jammy) jammy; urgency=high

  * tf2: Enable common linter tests (#469 <https://github.com/ros2/geometry2/issues/469>)
  * Contributors: Abrar Rahman Protyasha

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 13 Jan 2022 23:00:00 -0000

ros-humble-tf2 (0.20.0-1jammy) jammy; urgency=high

  * Move time functions into time.cpp.
  * Change a for loop to a while loop.
  * Switch to C++-style casts.
  * Remove totally unused (and unreachable) code.
  * Replace NULL with nullptr.
  * Fix up some comments.
  * Use std::make_shared where we can.
  * Replace two comparisons with empty string to empty().
  * Make sure to include-what-you-use.
  * Remove unnecessary internal method.
  * Remove long-deprecated walkToTopParent overload.
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 16 Dec 2021 23:00:00 -0000

ros-humble-tf2 (0.19.0-1jammy) jammy; urgency=high

  * Remove unnecessary test dependencies.
  * Remove some references to the ROS 1 wiki.
  * Add rosidl_runtime_cpp as build_depend and build_export_depend.
  * Minor cleanups in CMakeLists.txt.
  * Remove include directory that doesn't exist.
  * Remove completely unnecessary target_link_libraries.
  * Remove unused speed_test from tf2.
  * Suppress clang warnings about enumerator attributes. (#463 <https://github.com/ros2/geometry2/issues/463>)
  * Change TF2Error names to be a bit more descriptive. (#349 <https://github.com/ros2/geometry2/issues/349>)
  * Fixed errors due to missing header link. (#432 <https://github.com/ros2/geometry2/issues/432>)
  * Contributors: Chris Lalancette, Shivam Pandey

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 14 Oct 2021 22:00:00 -0000

ros-humble-tf2 (0.18.0-1jammy) jammy; urgency=high

  * Deprecate tf2_geometry_msgs.h (#418 <https://github.com/ros2/geometry2/issues/418>)
  * Speedup covariance unwrapping (#399 <https://github.com/ros2/geometry2/issues/399>)
  * Contributors: Chris Lalancette, Dima Dorezyuk

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 31 May 2021 22:00:00 -0000

ros-humble-tf2 (0.17.1-1jammy) jammy; urgency=high

  * Change index.ros.org -> docs.ros.org. (#394 <https://github.com/ros2/geometry2/issues/394>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 05 Apr 2021 22:00:00 -0000

ros-humble-tf2 (0.17.0-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 18 Mar 2021 23:00:00 -0000

ros-humble-tf2 (0.16.0-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 24 Jan 2021 23:00:00 -0000

ros-humble-tf2 (0.15.1-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 07 Dec 2020 23:00:00 -0000

ros-humble-tf2 (0.15.0-1jammy) jammy; urgency=high

  * Update maintainers of the ros2/geometry2 fork. (#328 <https://github.com/ros2/geometry2/issues/328>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 01 Nov 2020 23:00:00 -0000

ros-humble-tf2 (0.14.1-1jammy) jammy; urgency=high

  * Active usual compiler warnings in tf2 (#322 <https://github.com/ros2/geometry2/issues/322>)
  * Cleanups in buffer_core.cpp. (#301 <https://github.com/ros2/geometry2/issues/301>)
  * Add PoseWithCovarianceStamped transform support (#312 <https://github.com/ros2/geometry2/issues/312>)
  * Contributors: Chris Lalancette, Ivan Santiago Paunovic, Joshua Whitley

 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 20 Sep 2020 22:00:00 -0000

ros-humble-tf2 (0.14.0-1jammy) jammy; urgency=high

  * Fix a TOCTTOU race in tf2. (#307 <https://github.com/ros2/geometry2/issues/307>)
  * Fixed memory leak in Buffer::waitForTransform (#281 <https://github.com/ros2/geometry2/issues/281>)
  * Add common linters to tf2. (#258 <https://github.com/ros2/geometry2/issues/258>)
  * Contributors: Alejandro Hernández Cordero, Chris Lalancette, Martin Ganeff

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 13 Aug 2020 22:00:00 -0000

ros-humble-tf2 (0.13.4-1jammy) jammy; urgency=high

  * Add missing virtual destructors (#272 <https://github.com/ros2/geometry2/issues/272>)
  * Contributors: Ivan Santiago Paunovic

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 02 Jun 2020 22:00:00 -0000

ros-humble-tf2 (0.13.3-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 25 May 2020 22:00:00 -0000

ros-humble-tf2 (0.13.2-1jammy) jammy; urgency=high

  * Modify error message to not match the pattern for Jenkins MSBuild errors (#265 <https://github.com/ros2/geometry2/issues/265>)
  * Contributors: Dirk Thomas

 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 17 May 2020 22:00:00 -0000

ros-humble-tf2 (0.13.1-1jammy) jammy; urgency=high

  * export modern CMake interface target (#263 <https://github.com/ros2/geometry2/issues/263>)
  * Contributors: Dirk Thomas

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 07 May 2020 22:00:00 -0000

ros-humble-tf2 (0.13.0-1jammy) jammy; urgency=high

  * Added doxyfiles and sphinx Makefiles (#257 <https://github.com/ros2/geometry2/issues/257>)
  * Fix displayTimePoint truncation error (#253 <https://github.com/ros2/geometry2/issues/253>)
  * rename rosidl_generator_cpp namespace to rosidl_runtime_cpp (#248 <https://github.com/ros2/geometry2/issues/248>)
  * Use the new rcutils_strerror function. (#239 <https://github.com/ros2/geometry2/issues/239>)
  * Remove unnecessary semicolons. (#235 <https://github.com/ros2/geometry2/issues/235>)
  * Export all tf2 dependencies. (#238 <https://github.com/ros2/geometry2/issues/238>)
  * Fix a deprecated copy warning by implementing the assignment operator (#201 <https://github.com/ros2/geometry2/issues/201>)
  * tf2 add windows cmath constants (#217 <https://github.com/ros2/geometry2/issues/217>)
  * Contributors: Alejandro Hernández Cordero, Chris Lalancette, Dirk Thomas, Hunter L. Allen, Michel Hidalgo, brawner

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 29 Apr 2020 22:00:00 -0000

ros-humble-tf2 (0.12.4-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 18 Nov 2019 23:00:00 -0000

ros-humble-tf2 (0.12.3-1jammy) jammy; urgency=high

  * Provide more available error messaging for nonexistent and invalid frames in canTransform (ros2 #187 <https://github.com/ros2/geometry2/issues/187>)
  * Contributors: Emerson Knapp

 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 17 Nov 2019 23:00:00 -0000

ros-humble-tf2 (0.12.2-1jammy) jammy; urgency=high

  * Fix up -Wcast-qual warning (#193 <https://github.com/ros2/geometry2/issues/193>) (#197 <https://github.com/ros2/geometry2/issues/197>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 17 Nov 2019 23:00:00 -0000

ros-humble-tf2 (0.12.1-1jammy) jammy; urgency=high

  * Overwrite TimeCacheInterface type with a current input (#151 <https://github.com/ros2/geometry2/issues/151>)
  * [tf2] Use ament_target_dependencies where possible
  * Restore conversion via message traits (#167 <https://github.com/ros2/geometry2/issues/167>)
  * Contributors: Jacob Perron, Michael Carroll, Vinnam Kim

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 22 Oct 2019 22:00:00 -0000

ros-humble-tf2 (0.12.0-1jammy) jammy; urgency=high

  * Add pure virtual interface tf2::BufferCoreInterface
  * Guard against invalid iterator (#127 <https://github.com/ros2/geometry2/issues/127>)
  * Contributors: Jacob Perron

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 25 Sep 2019 22:00:00 -0000

ros-humble-tf2 (0.11.3-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 23 May 2019 22:00:00 -0000

ros-humble-tf2 (0.11.2-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 19 May 2019 22:00:00 -0000

ros-humble-tf2 (0.11.1-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 08 May 2019 22:00:00 -0000

ros-humble-tf2 (0.11.0-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Sat, 13 Apr 2019 22:00:00 -0000

ros-humble-tf2 (0.10.1-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 05 Dec 2018 23:00:00 -0000

ros-humble-tf2 (0.10.0-1jammy) jammy; urgency=high

  * Merge pull request #65 <https://github.com/ros2/geometry2/issues/65> from bsinno/bugfix/fix_identity_transform_behaviour
    Fix bug in lookupTransform()
  * Fix lookupTransform() behaviour when transforming from a frame to itself
  * revert now unnecessary message initializations (#64 <https://github.com/ros2/geometry2/issues/64>)
  * use console_bridge_vendor (#63 <https://github.com/ros2/geometry2/issues/63>)
  * Contributors: Alessandro Bottero, Mikael Arguedas, Tully Foote

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 21 Nov 2018 23:00:00 -0000

ros-humble-tf2 (0.5.15-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 23 Jan 2017 23:00:00 -0000

ros-humble-tf2 (0.5.14-1jammy) jammy; urgency=high

  * fixes #194 <https://github.com/ros/geometry2/issues/194> check for quaternion normalization before inserting into storage (#196 <https://github.com/ros/geometry2/issues/196>)
    * check for quaternion normalization before inserting into storage
    * Add test to check for transform failure on invalid quaternion input
  * updating getAngleShortestPath() (#187 <https://github.com/ros/geometry2/issues/187>)
  * Move internal cache functions into a namespace
    Fixes https://github.com/ros/geometry2/issues/175
  * Link properly to convert.h
  * Landing page for tf2 describing the conversion interface
  * Fix comment on BufferCore::MAX_GRAPH_DEPTH.
  * Contributors: Jackie Kay, Phil Osteen, Tully Foote, alex, gavanderhoorn

 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 15 Jan 2017 23:00:00 -0000

ros-humble-tf2 (0.5.13-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 03 Mar 2016 23:00:00 -0000

ros-humble-tf2 (0.5.12-1jammy) jammy; urgency=high

  * add utilities to get yaw, pitch, roll and identity transform
  * provide more conversions between types
    The previous conversion always assumed that it was converting a
    non-message type to a non-message type. Now, one, both or none
    can be a message or a non-message.
  * Contributors: Vincent Rabaud

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 04 Aug 2015 22:00:00 -0000

ros-humble-tf2 (0.5.11-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 21 Apr 2015 22:00:00 -0000

ros-humble-tf2 (0.5.10-1jammy) jammy; urgency=high

  * move lct_cache into function local memoryfor #92 <https://github.com/ros/geometry_experimental/issues/92>
  * Clean up range checking. Re: #92 <https://github.com/ros/geometry_experimental/issues/92>
  * Fixed chainToVector
  * release lock before possibly invoking user callbacks. Fixes #91 <https://github.com/ros/geometry_experimental/issues/91>
  * Contributors: Jackie Kay, Tully Foote

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 20 Apr 2015 22:00:00 -0000

ros-humble-tf2 (0.5.9-1jammy) jammy; urgency=high

  * fixing edge case where two no frame id lookups matched in getLatestCommonTime
  * Contributors: Tully Foote

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 24 Mar 2015 23:00:00 -0000

ros-humble-tf2 (0.5.8-1jammy) jammy; urgency=high

  * change from default argument to overload to avoid linking issue #84 <https://github.com/ros/geometry_experimental/issues/84>
  * remove useless Makefile files
  * Remove unused assignments in max/min functions
  * change _allFramesAsDot() -> _allFramesAsDot(double current_time)
  * Contributors: Jon Binney, Kei Okada, Tully Foote, Vincent Rabaud

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 16 Mar 2015 23:00:00 -0000

ros-humble-tf2 (0.5.7-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 22 Dec 2014 23:00:00 -0000

ros-humble-tf2 (0.5.6-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 17 Sep 2014 22:00:00 -0000

ros-humble-tf2 (0.5.5-1jammy) jammy; urgency=high

  * convert to use console bridge from upstream debian package https://github.com/ros/rosdistro/issues/4633
  * Fix format string
  * Contributors: Austin, Tully Foote

 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 22 Jun 2014 22:00:00 -0000

ros-humble-tf2 (0.5.4-1jammy) jammy; urgency=high

  * switch to boost signals2 following ros/ros_comm#267 <https://github.com/ros/ros_comm/issues/267>, blocking ros/geometry#23 <https://github.com/ros/geometry/issues/23>
  * Contributors: Tully Foote

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 06 May 2014 22:00:00 -0000

ros-humble-tf2 (0.5.3-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 20 Feb 2014 23:00:00 -0000

ros-humble-tf2 (0.5.2-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 19 Feb 2014 23:00:00 -0000

ros-humble-tf2 (0.5.1-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 13 Feb 2014 23:00:00 -0000

ros-humble-tf2 (0.5.0-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 13 Feb 2014 23:00:00 -0000

ros-humble-tf2 (0.4.10-1jammy) jammy; urgency=high

  * updated error message. fixes #38 <https://github.com/ros/geometry_experimental/issues/38>
  * tf2: add missing console bridge include directories (fix #48 <https://github.com/ros/geometry_experimental/issues/48>)
  * Fix const correctness of tf2::Vector3 rotate() method
    The method does not modify the class thus should be const.
    This has already been fixed in Bullet itself.
  * Contributors: Dirk Thomas, Timo Rohling, Tully Foote

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 25 Dec 2013 23:00:00 -0000

ros-humble-tf2 (0.4.9-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 05 Nov 2013 23:00:00 -0000

ros-humble-tf2 (0.4.8-1jammy) jammy; urgency=high

  * moving python documentation to tf2_ros from tf2 to follow the code
  * removing legacy rospy dependency. implementation removed in 0.4.0 fixes #27 <https://github.com/ros/geometry_experimental/issues/27>

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 05 Nov 2013 23:00:00 -0000

ros-humble-tf2 (0.4.7-1jammy) jammy; urgency=high

  * switching to use allFramesAsStringNoLock inside of getLatestCommonTime and walkToParent and locking in public API _getLatestCommonTime instead re #23 <https://github.com/ros/geometry_experimental/issues/23>
  * Fixes a crash in tf's view_frames related to dot code generation in allFramesAsDot

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 27 Aug 2013 22:00:00 -0000

ros-humble-tf2 (0.4.6-1jammy) jammy; urgency=high

  * cleaner fix for #19 <https://github.com/ros/geometry_experimental/issues/19>
  * fix pointer initialization.  Fixes #19 <https://github.com/ros/geometry_experimental/issues/19>
  * fixes #18 <https://github.com/ros/geometry_experimental/issues/18> for hydro
  * package.xml: corrected typo in description

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 27 Aug 2013 22:00:00 -0000

ros-humble-tf2 (0.4.5-1jammy) jammy; urgency=high

  * adding _chainAsVector method for https://github.com/ros/geometry/issues/18
  * adding _allFramesAsDot for backwards compatability https://github.com/ros/geometry/issues/18

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 10 Jul 2013 22:00:00 -0000

ros-humble-tf2 (0.4.4-1jammy) jammy; urgency=high

  * making repo use CATKIN_ENABLE_TESTING correctly and switching rostest to be a test_depend with that change.
  * tf2: Fixes a warning on OS X, but generally safer
    Replaces the use of pointers with shared_ptrs,
    this allows the polymorphism and makes it so that
    the compiler doesn't yell at us about calling
    delete on a class with a public non-virtual
    destructor.
  * tf2: Fixes compiler warnings on OS X
    This exploited a gcc specific extension and is not
    C++ standard compliant. There used to be a "fix"
    for OS X which no longer applies. I think it is ok
    to use this as an int instead of a double, but
    another way to fix it would be to use a define.
  * tf2: Fixes linkedit errors on OS X

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 08 Jul 2013 22:00:00 -0000

ros-humble-tf2 (0.4.3-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 04 Jul 2013 22:00:00 -0000

ros-humble-tf2 (0.4.2-1jammy) jammy; urgency=high

  * adding getCacheLength() to parallel old tf API
  * removing legacy static const variable MAX_EXTRAPOLATION_DISTANCE copied from tf unnecessesarily

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 04 Jul 2013 22:00:00 -0000

ros-humble-tf2 (0.4.1-1jammy) jammy; urgency=high

  * adding old style callback notifications to BufferCore to enable backwards compatability of message filters
  * exposing dedicated thread logic in BufferCore and checking in Buffer
  * more methods to expose, and check for empty cache before getting latest timestamp
  * adding methods to enable backwards compatability for passing through to tf::Transformer

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 04 Jul 2013 22:00:00 -0000

ros-humble-tf2 (0.4.0-1jammy) jammy; urgency=high

  * splitting rospy dependency into tf2_py so tf2 is pure c++ library.
  * switching to console_bridge from rosconsole
  * moving convert methods back into tf2 because it does not have any ros dependencies beyond ros::Time which is already a dependency of tf2
  * Cleaning up unnecessary dependency on roscpp
  * Cleaning up packaging of tf2 including:
    removing unused nodehandle
    fixing overmatch on search and replace
    cleaning up a few dependencies and linking
    removing old backup of package.xml
    making diff minimally different from tf version of library
  * suppressing bullet LinearMath copy inside of tf2, so it will not collide, and should not be used externally.
  * Restoring test packages and bullet packages.
    reverting 3570e8c42f9b394ecbfd9db076b920b41300ad55 to get back more of the packages previously implemented
    reverting 04cf29d1b58c660fdc999ab83563a5d4b76ab331 to fix #7 <https://github.com/ros/geometry_experimental/issues/7>
  * fixing includes in unit tests
  * Make PythonLibs find_package python2 specific
    On systems with python 3 installed and default, find_package(PythonLibs) will find the python 3 paths and libraries. However, the c++ include structure seems to be different in python 3 and tf2 uses includes that are no longer present or deprecated.
    Until the includes are made to be python 3 compliant, we should specify that the version of python found must be python 2.

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 26 Jun 2013 22:00:00 -0000

ros-humble-tf2 (0.3.6-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Sat, 02 Mar 2013 23:00:00 -0000

ros-humble-tf2 (0.3.5-1jammy) jammy; urgency=high

  * 0.3.4 -> 0.3.5

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 15 Feb 2013 13:46:00 -0000

ros-humble-tf2 (0.3.4-1jammy) jammy; urgency=high

  * 0.3.3 -> 0.3.4
  * moving LinearMath includes to include/tf2

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 15 Feb 2013 12:14:00 -0000

ros-humble-tf2 (0.3.3-1jammy) jammy; urgency=high

  * 0.3.2 -> 0.3.3
  * fixing include installation of tf2

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 15 Feb 2013 10:30:00 -0000

ros-humble-tf2 (0.3.2-1jammy) jammy; urgency=high

  * 0.3.1 -> 0.3.2
  * fixed missing include export & tf2_ros dependecy

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 14 Feb 2013 23:42:00 -0000

ros-humble-tf2 (0.3.1-1jammy) jammy; urgency=high

  * 0.3.0 -> 0.3.1
  * fixing PYTHON installation directory

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 13 Feb 2013 23:00:00 -0000

ros-humble-tf2 (0.3.0-1jammy) jammy; urgency=high

  * switching to version 0.3.0
  * adding setup.py to tf2 package
  * fixed tf2 exposing python functionality
  * removed line that was killing tf2_ros.so
  * fixing catkin message dependencies
  * removing packages with missing deps
  * adding missing package.xml
  * adding missing package.xml
  * adding missing package.xml
  * catkinizing geometry-experimental
  * removing bullet headers from use in header files
  * removing bullet headers from use in header files
  * merging my recent changes
  * setting child_frame_id overlooked in revision 6a0eec022be0 which fixed failing tests
  * allFramesAsString public and internal methods seperated.  Public method is locked, private method is not
  * fixing another scoped lock
  * fixing one scoped lock
  * fixing test compilation
  * merge
  * Error message fix, ros-pkg5085
  * Check if target equals to source before validation
  * When target_frame == source_frame, just returns an identity transform.
  * adding addition ros header includes for strictness
  * Fixed optimized lookups with compound transforms
  * Fixed problem in tf2 optimized branch. Quaternion multiplication order was incorrect
  * fix compilation on 32-bit
  * Josh fix: Final inverse transform composition (missed multiplying the sourcd->top vector by the target->top inverse orientation). b44877d2b054
  * Josh change: fix first/last time case. 46bf33868e0d
  * fix transform accumulation to parent
  * fix parent lookup, now works on the real pr2's tree
  * move the message filter to tf2_ros
  * tf2::MessageFilter + tests.  Still need to change it around to pass in a callback queue, since we're being triggered directly from the tf2 buffer
  * Don't add the request if the transform is already available.  Add some new tests
  * working transformable callbacks with a simple (incomplete) test case
  * first pass at a transformable callback api, not tested yet
  * add interpolation cases
  * fix getLatestCommonTime -- no longer returns the latest of any of the times
  * Some more optimization -- allow findClosest to inline
  * another minor speedup
  * Minorly speed up canTransform by not requiring the full data lookup, and only looking up the parent
  * Add explicit operator= so that we can see the time in it on a profile graph.  Also some minor cleanup
  * minor cleanup
  * add 3 more cases to the speed test
  * Remove use of btTransform at all from transform accumulation, since the conversion to/from is unnecessary, expensive, and can introduce floating point error
  * Don't use btTransform as an intermediate when accumulating transforms, as constructing them takes quite a bit of time
  * Completely remove lookupLists().  canTransform() now uses the same walking code as lookupTransform().  Also fixed a bug in the static transform publisher test
  * Genericise the walk-to-top-parent code in lookupTransform so that it will be able to be used by canTransform as well (minus the cost of actually computing the transform)
  * remove id lookup that wasn't doing anything
  * Some more optimization:
    * Reduce # of TransformStorage copies made in TimeCache::getData()
    * Remove use of lookupLists from getLatestCommonTime
  * lookupTransform() no longer uses lookupLists unless it's called with Time(0).  Removes lots of object construction/destruction due to removal of pushing back on the lists
  * Remove CompactFrameID in favor of a typedef
  * these mode checks are no longer necessary
  * Fix crash when testing extrapolation on the forward transforms
  * Update cache unit tests to work with the changes TransformStorage.
    Also make sure that BT_USE_DOUBLE_PRECISION is set for tf2.
  * remove exposure of time_cache.h from buffer_core.h
  * Removed the mutex from TimeCache, as it's unnecessary (BufferCore needs to have its own mutex locked anyway), and this speeds things up by about 20%
    Also fixed a number of thread-safety problems
  * Optimize test_extrapolation a bit, 25% speedup of lookupTransform
  * use a hash map for looking up frame numbers, speeds up lookupTransform by ~8%
  * Cache vectors used for looking up transforms.  Speeds up lookupTransform by another 10%
  * speed up lookupTransform by another 25%
  * speed up lookupTransform by another 2x.  also reduces the memory footprint of the cache significantly
  * sped up lookupTransform by another 2x
  * First add of a simple speed test
    Sped up lookupTransform 2x
  * roscpp dependency explicit, instead of relying on implicit
  * static transform tested and working
  * tests passing and all throw catches removed too!
  * validating frame_ids up front for lookup exceptions
  * working with single base class vector
  * tests passing for static storage
  * making method private for clarity
  * static cache implementation and test
  * cleaning up API doc typos
  * sphinx docs for Buffer
  * new dox mainpage
  * update tf2 manifest
  * commenting out twist
  * Changed cache_time to cache_time to follow C++ style guide, also initialized it to actually get things to work
  * no more rand in cache tests
  * Changing tf2_py.cpp to use underscores instead of camelCase
  * removing all old converter functions from transform_datatypes.h
  * removing last references to transform_datatypes.h in tf2
  * transform conversions internalized
  * removing unused datatypes
  * copying bullet transform headers into tf2 and breaking bullet dependency
  * merge
  * removing dependency on tf
  * removing include of old tf from tf2
  * update doc
  * merge
  * kdl unittest passing
  * Spaces instead of tabs in YAML grrrr
  * Adding quotes for parent
  * canTransform advanced ported
  * Hopefully fixing YAML syntax
  * new version of view_frames in new tf2_tools package
  * testing new argument validation and catching bug
  * Python support for debugging
  * merge
  * adding validation of frame_ids in queries with warnings and exceptions where appropriate
  * Exposing ability to get frames as a string
  * A compiling version of YAML debugging interface for BufferCore
  * placeholder for tf debug
  * fixing tf:: to tf2:: ns issues and stripping slashes on set in tf2 for backwards compatiabily
  * Adding a python version of the BufferClient
  * moving test to new package
  * merging
  * working unit test for BufferCore::lookupTransform
  * removing unused method test and converting NO_PARENT test to new API
  * Adding some comments
  * Moving the python bindings for tf2 to the tf2 package from the tf2_py package
  * buffercore tests upgraded
  * porting tf_unittest while running incrmentally instead of block copy
  * BufferCore::clear ported forward
  * successfully changed lookupTransform advanced to new version
  * switching to new implementation of lookupTransform tests still passing
  * compiling lookupTransform new version
  * removing tf_prefix from BufferCore.  BuferCore is independent of any frame_ids.  tf_prefix should be implemented at the ROS API level.
  * initializing tf_prefix
  * adding missing initialization
  * suppressing warnings
  * more tests ported
  * removing tests for apis not ported forward
  * setTransform tests ported
  * old tests in new package passing due to backwards dependency.  now for the fun, port all 1500 lines :-)
  * setTransform working in new framework as well as old
  * porting more methods
  * more compatability
  * bringing in helper functions for buffer_core from tf.h/cpp
  * rethrowing to new exceptions
  * converting Storage to geometry_msgs::TransformStamped
  * removing deprecated useage
  * cleaning up includes
  * moving all implementations into cpp file
  * switching test to new class from old one
  * Compiling version of the buffer client
  * moving listener to tf_cpp
  * removing listener, it should be in another package
  * most of listener
  * add cantransform implementation
  * removing deprecated API usage
  * initial import of listener header
  * move implementation into library
  * 2 tests of buffer
  * moving executables back into bin
  * compiling again with new design
  * rename tfcore to buffercore
  * almost compiling version of template code
  * compiling tf2_core simple test
  * add test to start compiling
  * copying in tf_unittest for tf_core testing template
  * prototype of tf2_core implemented using old tf.
  * first version of template functions
  * remove timeouts
  * properly naming tf2_core.h from tf_core.h
  * working cache test with tf2 lib
  * first unit test passing, not yet ported
  * tf_core api
  * tf2 v2
  * aborting port
  * moving across time cache tf and datatypes headers
  * copying exceptions from tf
  * switching to tf2 from tf_core

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 12 Feb 2013 23:00:00 -0000


